curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payment-flows/with-processors \
--header 'Authorization: Bearer <token>'{
"flows": [
{
"id": "flow_abc123",
"name": "Default Flow",
"strategy": "cascade",
"processorConfigs": [
{
"processorId": "proc_stripe",
"weight": 70,
"disabled": false,
"nonStickable": false,
"processor": {
"id": "proc_stripe",
"name": "Stripe US",
"type": "stripe"
}
}
]
}
],
"allProcessors": [
{
"id": "proc_stripe",
"name": "Stripe US",
"type": "stripe"
}
]
}List all active payment flows with full processor information (name, type, config) resolved inline. Requires org:admin role.
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payment-flows/with-processors \
--header 'Authorization: Bearer <token>'{
"flows": [
{
"id": "flow_abc123",
"name": "Default Flow",
"strategy": "cascade",
"processorConfigs": [
{
"processorId": "proc_stripe",
"weight": 70,
"disabled": false,
"nonStickable": false,
"processor": {
"id": "proc_stripe",
"name": "Stripe US",
"type": "stripe"
}
}
]
}
],
"allProcessors": [
{
"id": "proc_stripe",
"name": "Stripe US",
"type": "stripe"
}
]
}Enter your API key as: Bearer your-api-key
Successful response